#include <bits/stdc++.h>
using namespace std;
int n,b,d,c,p,a[10000000];
bool snt[1000000];
void sang()
{
    int i=2;
    snt[1]=true;
    while(i*i<1000000)
    {
        while (snt[i]==true)
        {
            i++;
        }
        if (snt[i]==false)
        {
            for (int j=2;i*j<1000000;j++)
            {
                snt[i*j]=true;
            }
        }
        i++;
    }
}
int main()
{
    ifstream f1("DEMNT.inp"); ofstream f2("DEMNT.out");
    f1>>n;
    for (int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sang();
    for (int i=0;i<n;i++)
    {
        if (snt[a[i]]==false)
            d++;
    }
    f2<<d;
    f1.close();
    f2.close();
    return 0;
}


